Package com.avaya.clientservices.call.feature

## Class SimRingCallbackConfiguration

- java.lang.Object
- - com.avaya.clientservices.call.feature.SimRingCallbackConfiguration

-     public class SimRingCallbackConfiguration
      extends java.lang.Object

  The Callback / simultaneous ring feature Configuration class that contains the callback / simultaneous ring feature parameters specific for this User.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimRingCallbackConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isEnabled()` | Returns a boolean value indicating whether the callback / simultaneous ring feature is enabled to be set up for this User.
    `void` | `setEnabled​(boolean enabled)` | Sets boolean value indicating whether the callback / simultaneous ring feature is enabled to be set up for this User.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimRingCallbackConfiguration

          public SimRingCallbackConfiguration()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Returns a boolean value indicating whether the callback / simultaneous ring feature is enabled to be set up for this User. If the feature is disabled in the configuration but is set up on the server, the server will be requested to disable the feature on its side and clear the user settings. The default value is false.
      Returns:
        a boolean value indicating whether the callback / simultaneous ring feature is enabled to be set up for this User.

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Sets boolean value indicating whether the callback / simultaneous ring feature is enabled to be set up for this User.
      Parameters:
        `enabled` - the boolean value indicating whether the callback / simultaneous ring feature is enabled to be set up for this User.